[arch-commits] CVS update of extra/kde/kdegraphics (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Mon Aug 13 15:54:54 EDT 2007


    Date: Monday, August 13, 2007 @ 15:54:54
  Author: tpowa
    Path: /home/cvs-extra/extra/kde/kdegraphics

Modified: PKGBUILD (1.48 -> 1.49)

'upgpkg: fixed vulnerability, added multithreaded kpdf'


----------+
 PKGBUILD |   15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)


Index: extra/kde/kdegraphics/PKGBUILD
diff -u extra/kde/kdegraphics/PKGBUILD:1.48 extra/kde/kdegraphics/PKGBUILD:1.49
--- extra/kde/kdegraphics/PKGBUILD:1.48	Tue Jul 31 20:54:53 2007
+++ extra/kde/kdegraphics/PKGBUILD	Mon Aug 13 15:54:54 2007
@@ -1,10 +1,10 @@
-# $Id: PKGBUILD,v 1.48 2007/08/01 00:54:53 travis Exp $
+# $Id: PKGBUILD,v 1.49 2007/08/13 19:54:54 tpowa Exp $
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 
 pkgname=kdegraphics
 pkgver=3.5.7
 kdever=3.5.7 # if minor 0, then without .0
-pkgrel=1
+pkgrel=2
 pkgdesc="KDE Graphics Programs"
 arch=(i686 x86_64)
 url="http://www.kde.org"
@@ -20,20 +20,25 @@
 # mirror="ibiblio.org/pub/mirrors/kde/"     # ibiblio mirror
 
 
-source=(ftp://$mirror/stable/$kdever/src/$pkgname-$pkgver.tar.bz2 kamera.patch)
+source=(ftp://$mirror/stable/$kdever/src/$pkgname-$pkgver.tar.bz2 \
+	ftp://ftp.kde.org/pub/kde/security_patches/post-3.5.7-kdegraphics-CVE-2007-3387.diff
+	kamera.patch)
 
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
   # add security patch
-  #patch -Np0 -i ../post-3.5.5-kdegraphics.diff || return 1
+  patch -Np0 -i ../post-3.5.7-kdegraphics-CVE-2007-3387.diff || return 1
   ./configure --prefix=/opt/kde --disable-debug --disable-dependency-tracking --disable-kpdf-drm --enable-final\
-  -with-gphoto2-includes=/usr/include/gphoto2 --with-gphoto2-libraries=/usr/lib/ --enable-gcc-hidden-visibility
+  -with-gphoto2-includes=/usr/include/gphoto2 --with-gphoto2-libraries=/usr/lib/ --enable-gcc-hidden-visibility\
+  --enable-multithreaded-kpdf 
   #           --enable-final # remove this if you build with < 512mb ram.
   # fix kamera compilation
   patch -Np2 -i ../kamera.patch || return 1
   make || return 1
   make DESTDIR=$startdir/pkg install
 }
+
 md5sums=('eae753e80c5f8dd304e7fd0dca84ae67'
+         'd1b3248c6a7843ad3265d25adcf7aa2f'
          '6ade32b438c26cd06e8fac6bd9505357')




More information about the arch-commits mailing list